# Default values for CDB app.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
nameOverride: mycdb

api:
  enabled: true
  image:
    repository: registry.gitlab.com/takima-school/images/cdb/api
    tag: latest
  replicaCount: 1
  requests:
    memory: "192M"
    cpu: "0.2"
  limits:
    memory: "256M"
    cpu: "1"
  startupProbe:
    initialDelaySeconds: 30
    periodSeconds: 3
    failureThreshold: 5
  ingress:
    tlsEnabled: true
    host: api.alexandre-cailloux.takima.school

front:
  enabled: true
  image:
    repository: registry.gitlab.com/takima-school/images/cdb/www
    tag: latest
  replicaCount: 1
  ingress:
    tlsEnabled: true
    host: www.alexandre-cailloux.takima.school

db:
  enabled: true
  name: cdb-db
  image:
    repository: registry.takima.io/school/proxy/postgres
    tag: latest
  pvc:
    storageClass: gp2
    size: 512Mi
  credentials:
    user: cdb
    pwd: cdb123

